<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "patient_log".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "PatientLog".
 *
 * Columns in table "patient_log" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property string $email
 * @property string $event_name
 * @property string $date
 *
 */
abstract class BasePatientLog extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'patient_log';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'PatientLog|PatientLogs', $n);
    }

    public static function representingColumn()
    {
        return 'email';
    }

    public function rules()
    {
        return array(
            array('email, event_name, date', 'required'),
            array('email', 'length', 'max' => 255),
            array('event_name', 'length', 'max' => 45),
            array('id, email, event_name, date', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'email' => Yii::t('app', 'Email'),
            'event_name' => Yii::t('app', 'Event Name'),
            'date' => Yii::t('app', 'Date'),
        );
    }

    public function search($pageSize = 1)
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('email', $this->email, true);
        $criteria->compare('event_name', $this->event_name, true);
        $criteria->compare('date', $this->date, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
            'pagination' => array('pageSize' => $pageSize),
            'sort' => array(
                'defaultOrder' => 'id DESC',
            ),
        ));
    }

}
